<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:14 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>AbstractLibrary (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="AbstractLibrary (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../org/gradle/plugins/ide/eclipse/model/AbstractClasspathEntry.html" title="class in org.gradle.plugins.ide.eclipse.model"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../../org/gradle/plugins/ide/eclipse/model/AccessRule.html" title="class in org.gradle.plugins.ide.eclipse.model"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/gradle/plugins/ide/eclipse/model/AbstractLibrary.html" target="_top">Frames</a></li>
<li><a href="AbstractLibrary.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#fields_inherited_from_class_org.gradle.plugins.ide.eclipse.model.AbstractClasspathEntry">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.plugins.ide.eclipse.model</div>
<h2 title="Class AbstractLibrary" class="title">Class AbstractLibrary</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../../../org/gradle/plugins/ide/eclipse/model/AbstractClasspathEntry.html" title="class in org.gradle.plugins.ide.eclipse.model">org.gradle.plugins.ide.eclipse.model.AbstractClasspathEntry</a></li>
<li>
<ul class="inheritance">
<li>org.gradle.plugins.ide.eclipse.model.AbstractLibrary</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../../../../../../org/gradle/plugins/ide/eclipse/model/ClasspathEntry.html" title="interface in org.gradle.plugins.ide.eclipse.model">ClasspathEntry</a></dd>
</dl>
<dl>
<dt>Direct Known Subclasses:</dt>
<dd><a href="../../../../../../org/gradle/plugins/ide/eclipse/model/Library.html" title="class in org.gradle.plugins.ide.eclipse.model">Library</a>, <a href="../../../../../../org/gradle/plugins/ide/eclipse/model/Variable.html" title="class in org.gradle.plugins.ide.eclipse.model">Variable</a></dd>
</dl>
<hr>
<br>
<pre>public abstract class <span class="strong">AbstractLibrary</span>
extends <a href="../../../../../../org/gradle/plugins/ide/eclipse/model/AbstractClasspathEntry.html" title="class in org.gradle.plugins.ide.eclipse.model">AbstractClasspathEntry</a></pre>
<div class="block">Common superclass for the library elements.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields_inherited_from_class_org.gradle.plugins.ide.eclipse.model.AbstractClasspathEntry">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.gradle.plugins.ide.eclipse.model.<a href="../../../../../../org/gradle/plugins/ide/eclipse/model/AbstractClasspathEntry.html" title="class in org.gradle.plugins.ide.eclipse.model">AbstractClasspathEntry</a></h3>
<code><a href="../../../../../../org/gradle/plugins/ide/eclipse/model/AbstractClasspathEntry.html#accessRules">accessRules</a>, <a href="../../../../../../org/gradle/plugins/ide/eclipse/model/AbstractClasspathEntry.html#COMPONENT_DEPENDENCY_ATTRIBUTE">COMPONENT_DEPENDENCY_ATTRIBUTE</a>, <a href="../../../../../../org/gradle/plugins/ide/eclipse/model/AbstractClasspathEntry.html#COMPONENT_NON_DEPENDENCY_ATTRIBUTE">COMPONENT_NON_DEPENDENCY_ATTRIBUTE</a>, <a href="../../../../../../org/gradle/plugins/ide/eclipse/model/AbstractClasspathEntry.html#entryAttributes">entryAttributes</a>, <a href="../../../../../../org/gradle/plugins/ide/eclipse/model/AbstractClasspathEntry.html#exported">exported</a>, <a href="../../../../../../org/gradle/plugins/ide/eclipse/model/AbstractClasspathEntry.html#path">path</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../../../../../org/gradle/plugins/ide/eclipse/model/AbstractLibrary.html#AbstractLibrary(org.gradle.plugins.ide.eclipse.model.FileReference)">AbstractLibrary</a></strong>(<a href="../../../../../../org/gradle/plugins/ide/eclipse/model/FileReference.html" title="interface in org.gradle.plugins.ide.eclipse.model">FileReference</a>&nbsp;library)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><strong><a href="../../../../../../org/gradle/plugins/ide/eclipse/model/AbstractLibrary.html#AbstractLibrary(groovy.util.Node,%20org.gradle.plugins.ide.eclipse.model.internal.FileReferenceFactory)">AbstractLibrary</a></strong>(<a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/util/Node.html?is-external=true" title="class or interface in groovy.util">Node</a>&nbsp;node,
               org.gradle.plugins.ide.eclipse.model.internal.FileReferenceFactory&nbsp;fileReferenceFactory)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/eclipse/model/AbstractLibrary.html#appendNode(groovy.util.Node)">appendNode</a></strong>(<a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/util/Node.html?is-external=true" title="class or interface in groovy.util">Node</a>&nbsp;node)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/eclipse/model/AbstractLibrary.html#equals(java.lang.Object)">equals</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;o)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../org/gradle/plugins/ide/eclipse/model/FileReference.html" title="interface in org.gradle.plugins.ide.eclipse.model">FileReference</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/eclipse/model/AbstractLibrary.html#getJavadocPath()">getJavadocPath</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../org/gradle/plugins/ide/eclipse/model/FileReference.html" title="interface in org.gradle.plugins.ide.eclipse.model">FileReference</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/eclipse/model/AbstractLibrary.html#getLibrary()">getLibrary</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../org/gradle/api/artifacts/ModuleVersionIdentifier.html" title="interface in org.gradle.api.artifacts">ModuleVersionIdentifier</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/eclipse/model/AbstractLibrary.html#getModuleVersion()">getModuleVersion</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../org/gradle/plugins/ide/eclipse/model/FileReference.html" title="interface in org.gradle.plugins.ide.eclipse.model">FileReference</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/eclipse/model/AbstractLibrary.html#getSourcePath()">getSourcePath</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/eclipse/model/AbstractLibrary.html#hashCode()">hashCode</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/eclipse/model/AbstractLibrary.html#setJavadocPath(org.gradle.plugins.ide.eclipse.model.FileReference)">setJavadocPath</a></strong>(<a href="../../../../../../org/gradle/plugins/ide/eclipse/model/FileReference.html" title="interface in org.gradle.plugins.ide.eclipse.model">FileReference</a>&nbsp;path)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/eclipse/model/AbstractLibrary.html#setLibrary(org.gradle.plugins.ide.eclipse.model.FileReference)">setLibrary</a></strong>(<a href="../../../../../../org/gradle/plugins/ide/eclipse/model/FileReference.html" title="interface in org.gradle.plugins.ide.eclipse.model">FileReference</a>&nbsp;library)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/eclipse/model/AbstractLibrary.html#setModuleVersion(org.gradle.api.artifacts.ModuleVersionIdentifier)">setModuleVersion</a></strong>(<a href="../../../../../../org/gradle/api/artifacts/ModuleVersionIdentifier.html" title="interface in org.gradle.api.artifacts">ModuleVersionIdentifier</a>&nbsp;moduleVersion)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/eclipse/model/AbstractLibrary.html#setSourcePath(org.gradle.plugins.ide.eclipse.model.FileReference)">setSourcePath</a></strong>(<a href="../../../../../../org/gradle/plugins/ide/eclipse/model/FileReference.html" title="interface in org.gradle.plugins.ide.eclipse.model">FileReference</a>&nbsp;sourcePath)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/eclipse/model/AbstractLibrary.html#toString()">toString</a></strong>()</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.plugins.ide.eclipse.model.AbstractClasspathEntry">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.gradle.plugins.ide.eclipse.model.<a href="../../../../../../org/gradle/plugins/ide/eclipse/model/AbstractClasspathEntry.html" title="class in org.gradle.plugins.ide.eclipse.model">AbstractClasspathEntry</a></h3>
<code><a href="../../../../../../org/gradle/plugins/ide/eclipse/model/AbstractClasspathEntry.html#addClasspathEntry(groovy.util.Node,%20java.util.Map)">addClasspathEntry</a>, <a href="../../../../../../org/gradle/plugins/ide/eclipse/model/AbstractClasspathEntry.html#getAccessRules()">getAccessRules</a>, <a href="../../../../../../org/gradle/plugins/ide/eclipse/model/AbstractClasspathEntry.html#getEntryAttributes()">getEntryAttributes</a>, <a href="../../../../../../org/gradle/plugins/ide/eclipse/model/AbstractClasspathEntry.html#getNativeLibraryLocation()">getNativeLibraryLocation</a>, <a href="../../../../../../org/gradle/plugins/ide/eclipse/model/AbstractClasspathEntry.html#getPath()">getPath</a>, <a href="../../../../../../org/gradle/plugins/ide/eclipse/model/AbstractClasspathEntry.html#isExported()">isExported</a>, <a href="../../../../../../org/gradle/plugins/ide/eclipse/model/AbstractClasspathEntry.html#normalizePath(java.lang.String)">normalizePath</a>, <a href="../../../../../../org/gradle/plugins/ide/eclipse/model/AbstractClasspathEntry.html#setAccessRules(java.util.Set)">setAccessRules</a>, <a href="../../../../../../org/gradle/plugins/ide/eclipse/model/AbstractClasspathEntry.html#setExported(boolean)">setExported</a>, <a href="../../../../../../org/gradle/plugins/ide/eclipse/model/AbstractClasspathEntry.html#setNativeLibraryLocation(java.lang.String)">setNativeLibraryLocation</a>, <a href="../../../../../../org/gradle/plugins/ide/eclipse/model/AbstractClasspathEntry.html#setPath(java.lang.String)">setPath</a>, <a href="../../../../../../org/gradle/plugins/ide/eclipse/model/AbstractClasspathEntry.html#writeEntryAttributes(groovy.util.Node)">writeEntryAttributes</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#clone()" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#finalize()" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#getClass()" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notify()" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notifyAll()" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait()" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait(long)" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait(long,%20int)" title="class or interface in java.lang">wait</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.plugins.ide.eclipse.model.ClasspathEntry">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.plugins.ide.eclipse.model.<a href="../../../../../../org/gradle/plugins/ide/eclipse/model/ClasspathEntry.html" title="interface in org.gradle.plugins.ide.eclipse.model">ClasspathEntry</a></h3>
<code><a href="../../../../../../org/gradle/plugins/ide/eclipse/model/ClasspathEntry.html#getKind()">getKind</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="AbstractLibrary(groovy.util.Node, org.gradle.plugins.ide.eclipse.model.internal.FileReferenceFactory)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>AbstractLibrary</h4>
<pre>public&nbsp;AbstractLibrary(<a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/util/Node.html?is-external=true" title="class or interface in groovy.util">Node</a>&nbsp;node,
               org.gradle.plugins.ide.eclipse.model.internal.FileReferenceFactory&nbsp;fileReferenceFactory)</pre>
</li>
</ul>
<a name="AbstractLibrary(org.gradle.plugins.ide.eclipse.model.FileReference)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>AbstractLibrary</h4>
<pre>public&nbsp;AbstractLibrary(<a href="../../../../../../org/gradle/plugins/ide/eclipse/model/FileReference.html" title="interface in org.gradle.plugins.ide.eclipse.model">FileReference</a>&nbsp;library)</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getSourcePath()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSourcePath</h4>
<pre>public&nbsp;<a href="../../../../../../org/gradle/plugins/ide/eclipse/model/FileReference.html" title="interface in org.gradle.plugins.ide.eclipse.model">FileReference</a>&nbsp;getSourcePath()</pre>
</li>
</ul>
<a name="setSourcePath(org.gradle.plugins.ide.eclipse.model.FileReference)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSourcePath</h4>
<pre>public&nbsp;void&nbsp;setSourcePath(<a href="../../../../../../org/gradle/plugins/ide/eclipse/model/FileReference.html" title="interface in org.gradle.plugins.ide.eclipse.model">FileReference</a>&nbsp;sourcePath)</pre>
</li>
</ul>
<a name="getJavadocPath()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getJavadocPath</h4>
<pre>public&nbsp;<a href="../../../../../../org/gradle/plugins/ide/eclipse/model/FileReference.html" title="interface in org.gradle.plugins.ide.eclipse.model">FileReference</a>&nbsp;getJavadocPath()</pre>
</li>
</ul>
<a name="setJavadocPath(org.gradle.plugins.ide.eclipse.model.FileReference)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setJavadocPath</h4>
<pre>public&nbsp;void&nbsp;setJavadocPath(<a href="../../../../../../org/gradle/plugins/ide/eclipse/model/FileReference.html" title="interface in org.gradle.plugins.ide.eclipse.model">FileReference</a>&nbsp;path)</pre>
</li>
</ul>
<a name="getLibrary()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLibrary</h4>
<pre>public&nbsp;<a href="../../../../../../org/gradle/plugins/ide/eclipse/model/FileReference.html" title="interface in org.gradle.plugins.ide.eclipse.model">FileReference</a>&nbsp;getLibrary()</pre>
</li>
</ul>
<a name="setLibrary(org.gradle.plugins.ide.eclipse.model.FileReference)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setLibrary</h4>
<pre>public&nbsp;void&nbsp;setLibrary(<a href="../../../../../../org/gradle/plugins/ide/eclipse/model/FileReference.html" title="interface in org.gradle.plugins.ide.eclipse.model">FileReference</a>&nbsp;library)</pre>
</li>
</ul>
<a name="getModuleVersion()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getModuleVersion</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/javax/annotation/Nullable.html?is-external=true" title="class or interface in javax.annotation">@Nullable</a>
public&nbsp;<a href="../../../../../../org/gradle/api/artifacts/ModuleVersionIdentifier.html" title="interface in org.gradle.api.artifacts">ModuleVersionIdentifier</a>&nbsp;getModuleVersion()</pre>
</li>
</ul>
<a name="setModuleVersion(org.gradle.api.artifacts.ModuleVersionIdentifier)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setModuleVersion</h4>
<pre>public&nbsp;void&nbsp;setModuleVersion(<a href="https://docs.oracle.com/javase/7/docs/api/javax/annotation/Nullable.html?is-external=true" title="class or interface in javax.annotation">@Nullable</a>
                    <a href="../../../../../../org/gradle/api/artifacts/ModuleVersionIdentifier.html" title="interface in org.gradle.api.artifacts">ModuleVersionIdentifier</a>&nbsp;moduleVersion)</pre>
</li>
</ul>
<a name="appendNode(groovy.util.Node)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>appendNode</h4>
<pre>public&nbsp;void&nbsp;appendNode(<a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/util/Node.html?is-external=true" title="class or interface in groovy.util">Node</a>&nbsp;node)</pre>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../../../org/gradle/plugins/ide/eclipse/model/ClasspathEntry.html#appendNode(groovy.util.Node)">appendNode</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../org/gradle/plugins/ide/eclipse/model/ClasspathEntry.html" title="interface in org.gradle.plugins.ide.eclipse.model">ClasspathEntry</a></code></dd>
<dt><strong>Overrides:</strong></dt>
<dd><code><a href="../../../../../../org/gradle/plugins/ide/eclipse/model/AbstractClasspathEntry.html#appendNode(groovy.util.Node)">appendNode</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../../org/gradle/plugins/ide/eclipse/model/AbstractClasspathEntry.html" title="class in org.gradle.plugins.ide.eclipse.model">AbstractClasspathEntry</a></code></dd>
</dl>
</li>
</ul>
<a name="equals(java.lang.Object)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>equals</h4>
<pre>public&nbsp;boolean&nbsp;equals(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;o)</pre>
<dl>
<dt><strong>Overrides:</strong></dt>
<dd><code><a href="../../../../../../org/gradle/plugins/ide/eclipse/model/AbstractClasspathEntry.html#equals(java.lang.Object)">equals</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../../org/gradle/plugins/ide/eclipse/model/AbstractClasspathEntry.html" title="class in org.gradle.plugins.ide.eclipse.model">AbstractClasspathEntry</a></code></dd>
</dl>
</li>
</ul>
<a name="hashCode()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>hashCode</h4>
<pre>public&nbsp;int&nbsp;hashCode()</pre>
<dl>
<dt><strong>Overrides:</strong></dt>
<dd><code><a href="../../../../../../org/gradle/plugins/ide/eclipse/model/AbstractClasspathEntry.html#hashCode()">hashCode</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../../org/gradle/plugins/ide/eclipse/model/AbstractClasspathEntry.html" title="class in org.gradle.plugins.ide.eclipse.model">AbstractClasspathEntry</a></code></dd>
</dl>
</li>
</ul>
<a name="toString()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>toString</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;toString()</pre>
<dl>
<dt><strong>Overrides:</strong></dt>
<dd><code><a href="../../../../../../org/gradle/plugins/ide/eclipse/model/AbstractClasspathEntry.html#toString()">toString</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../../org/gradle/plugins/ide/eclipse/model/AbstractClasspathEntry.html" title="class in org.gradle.plugins.ide.eclipse.model">AbstractClasspathEntry</a></code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../org/gradle/plugins/ide/eclipse/model/AbstractClasspathEntry.html" title="class in org.gradle.plugins.ide.eclipse.model"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../../org/gradle/plugins/ide/eclipse/model/AccessRule.html" title="class in org.gradle.plugins.ide.eclipse.model"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/gradle/plugins/ide/eclipse/model/AbstractLibrary.html" target="_top">Frames</a></li>
<li><a href="AbstractLibrary.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#fields_inherited_from_class_org.gradle.plugins.ide.eclipse.model.AbstractClasspathEntry">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
